aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteBucket

Synopsis

- data DeleteBucket = DeleteBucket {
  - dbBucket :: Bucket
  }
- data DeleteBucketResponse = DeleteBucketResponse {
  }

# Documentation

data DeleteBucket #

Constructors

DeleteBucket |
Fields dbBucket :: Bucket

Instances

Show DeleteBucket # |
Methods showsPrec :: Int -> DeleteBucket -> ShowS # show :: DeleteBucket -> String # showList :: [DeleteBucket] -> ShowS #
SignQuery DeleteBucket # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration DeleteBucket :: * -> * # Methods signQuery :: DeleteBucket -> ServiceConfiguration DeleteBucket queryType -> SignatureData -> SignedQuery #
Transaction DeleteBucket DeleteBucketResponse # |
ResponseConsumer DeleteBucket DeleteBucketResponse # |
Associated Types type ResponseMetadata DeleteBucketResponse :: * # Methods responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse #
type ServiceConfiguration DeleteBucket # |
type ServiceConfiguration DeleteBucket = S3Configuration

data DeleteBucketResponse #

Constructors

DeleteBucketResponse |

Instances

Show DeleteBucketResponse # |
Methods showsPrec :: Int -> DeleteBucketResponse -> ShowS # show :: DeleteBucketResponse -> String # showList :: [DeleteBucketResponse] -> ShowS #
AsMemoryResponse DeleteBucketResponse # |
Associated Types type MemoryResponse DeleteBucketResponse :: * # Methods loadToMemory :: DeleteBucketResponse -> ResourceT IO (MemoryResponse DeleteBucketResponse) #
Transaction DeleteBucket DeleteBucketResponse # |
ResponseConsumer DeleteBucket DeleteBucketResponse # |
Associated Types type ResponseMetadata DeleteBucketResponse :: * # Methods responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse #
type MemoryResponse DeleteBucketResponse # |
type MemoryResponse DeleteBucketResponse = DeleteBucketResponse
type ResponseMetadata DeleteBucketResponse # |
type ResponseMetadata DeleteBucketResponse = S3Metadata